<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>BCR - Binar Car Rental</title>

    <!-- Bootstrap -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />

    <!-- Css -->
    <link rel="stylesheet" href="./css/style.css" />
    <link rel="stylesheet" href="./css/sewa.css" />

    <!-- font awesome -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
      integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />

    <!-- tiny slider -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/tiny-slider/2.9.4/tiny-slider.css"
      integrity="sha512-eMxdaSf5XW3ZW1wZCrWItO2jZ7A9FhuZfjVdztr7ZsKNOmt6TUMTQgfpNoVRyfPE5S9BC0A4suXzsGSrAOWcoQ=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />

    <style>
      .search-button {
        align-self: flex-end;
        height: 100%;
      }
      .centering {
        display: flex;
        justify-content: center;
        align-items: center;
      }
      @media screen and (max-width: 900px) {
        .search {
          width: 100%;
          margin-top: 20px;
        }

        .main-section-right {
          padding-top: 160px;
        }
        .main-section-left {
          padding-top: 100px;
        }
        .footer {
          margin: 80px 0 100px 0;
        }
        .cars {
          width: 100%;
          margin-top: 0px;
        }
      }
      @media screen and (max-width: 450px) {
        .search {
          width: 100%;
          margin-top: 20px;
        }
        .main-section-left {
          padding-top: 100px;
        }
        .footer {
          margin: 50px 0 100px 0;
        }
        .cars-card {
          margin-top: 20px;
        }
        .cars {
          width: 100%;
          margin-top: -20px;
        }
      }
    </style>
  </head>
  <body>
    <div class="bg-header">
      <div class="nav-bar">
        <nav class="navbar navbar-light navbar-expand-md bg-light fixed-top">
          <div class="container">
            <a class="navbar-brand bg-darkblue px-5" href="./"></a>
            <button
              class="navbar-toggler"
              type="button"
              data-bs-toggle="offcanvas"
              data-bs-target="#offcanvasNavbar"
              aria-controls="offcanvasNavbar"
            >
              <span class="navbar-toggler-icon"></span>
            </button>
            <div
              class="offcanvas offcanvas-end"
              tabindex="-1"
              id="offcanvasNavbar"
              aria-labelledby="offcanvasNavbarLabel"
            >
              <div class="offcanvas-header">
                <h5 class="offcanvas-title" id="offcanvasNavbarLabel">
                  <strong>BCR</strong>
                </h5>
                <button
                  type="button"
                  class="btn-close text-reset"
                  data-bs-dismiss="offcanvas"
                  aria-label="Close"
                ></button>
              </div>
              <div class="offcanvas-body">
                <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
                  <li class="nav-item">
                    <a
                      class="nav-link text-dark me-4"
                      aria-current="page"
                      href="#ourservice"
                      >Our Services</a
                    >
                  </li>
                  <li class="nav-item">
                    <a class="nav-link text-dark me-4" href="#whyus">Why Us</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link text-dark me-4" href="#testimonial"
                      >Testimonial</a
                    >
                  </li>
                  <li class="nav-item">
                    <a class="nav-link text-dark me-4" href="#faq">FAQ</a>
                  </li>
                  <li class="nav-item">
                    <a href="#" class="nav-link btn btn-nav text-white"
                      >Register</a
                    >
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </nav>
      </div>
    </div>

    <!-- Main Section -->
    <div class="container d-flex">
      <div class="row">
        <div class="col-sm-12 col-md-5 col-lg-5 main-section-left">
          <h2>
            <strong>Sewa & Rental Mobil Terbaik di Kawasan Karawang</strong>
          </h2>
          <p>
            Selamat datang di Binar Car Rental. Kami menyediakan mobil kualitas
            terbaik dengan harga terjangkau. Selalu siap melayani kebutuhanmu
            untuk sewa mobil selama 24 jam.
          </p>
        </div>
        <div class="col-sm-12 col-md-7 col-lg-7 main-section-right">
          <img src="./img/mobil.png" class="img-fluid" alt="" />
        </div>
      </div>
    </div>
    <!-- End of Hero Section -->

    <!-- Search Section -->
    <div class="container">
      <div class="search p-4 row row-cols-md-auto mx-auto mb-4">
        <div class="col-md-6 col-sm-12 col-lg p-2 mb-2 mx-auto">
          <label for="inputEmail4" class="form-label">Tipe Driver</label>
          <select
            class="form-select"
            aria-label="Default select example"
            style="font-size: 12px"
            id="sopir"
          >
            <option selected value="undefined">Pilih Tipe Driver</option>
            <option value="1">Dengan Sopir</option>
            <option value="2">Tanpa Sopir (Lepas Kunci)</option>
          </select>
        </div>
        <div class="col-md-6 col-sm-12 col-lg p-2 mb-2 mx-auto">
          <label for="inputPassword4" class="form-label">Tanggal</label>
          <input
            type="date"
            id="tanggal"
            class="form-control"
            style="font-size: 12px"
          />
        </div>
        <div class="col-md-6 col-sm-12 col-lg p-2 mb-2 mx-auto">
          <label for="inputAddress" class="form-label"
            >Waktu Jemput/Ambil</label
          >
          <select
            class="form-select"
            id="waktu"
            style="
              background: url(./img/fi_clock.png) no-repeat 95%;
              background-size: 18px;
              font-size: 12px;
            "
          >
            <option selected value="undefined">Pilih Waktu</option>
            <script>
              for (let i = 0; i < 24; i++) {
                i < 10
                  ? document.write(
                      '<option value="T0' +
                        i +
                        ':00:00.000Z">0' +
                        i +
                        ".00</option>"
                    )
                  : document.write(
                      '<option value="T0' +
                        i +
                        ':00:00.000Z">' +
                        i +
                        ".00</option>"
                    );
              }
            </script>
          </select>
        </div>
        <div class="col-md-6 col-sm-12 col-lg p-2 mb-2 mx-auto">
          <label for="jumlahPenumpang" class="form-label"
            >Jumlah Penumpang (optional)</label
          >
          <input
            type="number"
            class="form-control"
            id="jumlahPenumpang"
            placeholder="Jumlah penumpang"
            style="
              background: url(./img/fi_users.png) no-repeat 95%;
              background-size: 18px;
              font-size: 12px;
            "
          />
        </div>
        <div class="col-md-12 col-lg-2 col-sm-12">
          <div class="centering search-button mt-lg-2">
            <button
              type="button"
              class="btn btn-main-section text-light mx-auto w-100"
              style="font-size: 12px"
              id="btn-search"
            >
              Cari Mobil
            </button>
          </div>
        </div>
      </div>
    </div>
    <!-- End of Search Section -->
    <!-- Cars Section -->
    <div class="container">
      <div class="cars mx-auto">
        <div class="mt-2 row" id="carsData">
          <!-- Cars Data from Json-->
        </div>
      </div>
    </div>

    <!-- End of Cars Section -->

    <!-- Footer Section -->
    <div class="container">
      <div class="footer">
        <div class="row">
          <div class="col-sm-12 col-md-8 col-lg-4 mb-1">
            <p>Jalan Suroyo No. 161 Mayangan Kota Probolinggo 672000</p>
            <p>binarcarrental@gmail.com</p>
            <p>081-233-334-808</p>
          </div>
          <div class="col-sm-12 col-md-4 col-lg-2 mb-3">
            <a
              class="text-dark fw-bold d-block mb-3"
              style="text-decoration: none"
              href="#ourservice"
              >Our Services
            </a>
            <a
              class="text-dark fw-bold d-block mb-3"
              style="text-decoration: none"
              href="#whyus"
              >Why Us</a
            >
            <a
              class="text-dark fw-bold d-block mb-3"
              style="text-decoration: none"
              href="#testimonial"
              >Testimonial</a
            >
            <a
              class="text-dark fw-bold d-block"
              style="text-decoration: none"
              href="#faq"
              >FAQ</a
            >
          </div>
          <div class="col-sm-12 col-md-8 col-lg-4 mb-3">
            <p>Connect with us</p>
            <img src="./img/icon_facebook.png" class="me-3" alt="" />
            <img src="./img/icon_instagram.png" class="me-3" alt="" />
            <img src="./img/icon_twitter.png" class="me-3" alt="" />
            <img src="./img/icon_mail.png" class="me-3" alt="" />
            <img src="./img/icon_twitch.png" alt="" />
          </div>
          <div class="col-sm-12 col-md-4 col-lg-2">
            <p>Copyright Binar 2022</p>
            <a class="navbar-brand bg-darkblue px-5" href="#"></a>
          </div>
        </div>
      </div>
    </div>
    <!-- End of Footer Section -->

    <!-- Sweet Alert -->
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

    <!-- Javascript -->
    <script type="text/javascript" src="./scripts/cars.js"></script>

    <!-- Bootstrap Javascript Online -->
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
      crossorigin="anonymous"
    ></script>
    <script>
      // Trigger Function by Button
      var btnSearch = document
        .getElementById("btn-search")
        .addEventListener("click", getCars);
    </script>
  </body>
</html>
